The SML of NJ Library
The `HashConsAtom` structure

The `HashConsAtom` structure embeds the `Atom.atom` type as a hash-consed object. It is implemented using the `HashConsGroundFn` functor.

## Synopsis

    structure HashConsAtom

## Interface

    type hash_key = Atom.atom
    type obj = hash_key HashCons.obj

    val mk : hash_key -> obj

## Description

`type hash_key = Atom.atom`

  The ground type being hashed.

`type obj = hash_key HashCons.obj`

  The type of hash-consed atoms.

`val mk : hash_key -> obj`

  `mk a` converts the atom `a` to a hash-consed object.

## See Also

`HashCons`, The HashCons Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC